{
    "version": "1.1.0.4",
    "description": "Service that connects or disconnects a wireguard tunnel based on the current conditions.",
    "license": "None",
    "homepage": "https://www.kunago.com",
    "hash": "sha512:90AF243097867C4E8DB9E517552BEDF003CD01B6F050F83EDDE428A8DBD5B75B1A52F50C479D9F3328F270845B19C28E1EB45E5F5DF2C56151B0AE545C078F23",
    "url": "https://git.apason.cz/kunago/scoop-bucket/raw/branch/master/programs/kunago_wireguard/kunago_wireguard-1.1.0.4.7z",
    "post_install": [
        "$task = \"Kunago wireguard autostart\"",
        "Register-ScheduledTask -Xml (Get-Content \"$dir\\data\\task.xml\" | Out-String) -TaskName \"$task\" -Force -ErrorAction SilentlyContinue > $null",
        "Start-Sleep -Seconds 2.0",
        "Start-ScheduledTask -TaskName \"$task\" -ErrorAction SilentlyContinue > $null"
    ],
    "pre_uninstall": [
        "$task = \"Kunago wireguard autostart\"",
        "Stop-ScheduledTask -TaskName \"$task\" -ErrorAction SilentlyContinue > $null",
        "Start-Sleep -Seconds 2.0",
        "Stop-Process -Name \"kunago_wireguard\" -Force -ErrorAction SilentlyContinue > $null",
        "Start-Sleep -Seconds 2.0",
        "Unregister-ScheduledTask -TaskName \"$task\" -Confirm:$false -ErrorAction SilentlyContinue > $null"
    ],
    "shortcuts": [
        [
            "python\\python.exe",
            "Wireguard autostart",
            "..\\kunago_wireguard.py",
            "data\\wireguard.ico"
        ]
    ]
}
